<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
	</head>

	<body>
		<div class="seach_form_box box_shadow border5 clearfix margin20">
			<div class="seach_form">
				<form id="pointsReviseForm" method="post">
					<ul class="clearfix">
						<li>
							<div>
								<span>会员编号:</span>
								<input id="memberCode" name="memberCode" size="16" type="text" class="form-control" value="">
							</div>
						</li>
						<li>
							<div>
								<span>调账人:</span>
								<input id="createUserName" name="createUserName" size="16" type="text" class="form-control" value="">
							</div>
						</li>
					</ul>
					<ul class="clearfix">
						<li>
							<div>
								<span>手机号:</span>
								<input id="mobile" name="mobile" size="16" type="text" class="form-control" value="">
							</div>
						</li>
						<li>
							<div>
								<span>调账日期:</span>
								<input id="happenTimeStart" name="happenTimeStart" class="Wdate date_input" type="text" onFocus="WdatePicker({maxDate:'#F{$dp.$D(\'happenTimeEnd\')||\'2099-12-31\'}'})"/>
							</div>
						</li>
						<li>
							<div>
								<span>至</span>
								<input id="happenTimeEnd" name="happenTimeEnd" class="Wdate date_input" type="text" onFocus="WdatePicker({minDate:'#F{$dp.$D(\'happenTimeStart\')||\'2099-12-31\'}'})"/>
							</div>
						</li>
					</ul>
					<button id="seachTask" type="button" class="btn common_content_seacch_btn"></button>
				</form>
			</div>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="pointsReviseTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'post'">
				<thead>
					<tr>
						<th data-options="field:'memberId',hidden:true"></th>
						<th data-options="field:'memberCode',width:180,align:'center',halign:'center'">会员编号</th>
						<th data-options="field:'memberName',width:200,align:'center',halign:'center'">姓名</th>
						<th data-options="field:'itemPointsNumber',width:200,align:'center',halign:'center'">调账数量</th>
						<th data-options="field:'createUserName',width:180,align:'center',halign:'center'">调账人</th>
						<th data-options="field:'happenTime',width:150,align:'center',halign:'center',
						         formatter : function(value, row, index) {return getDateString(value);}">调账时间</th>
						<th data-options="field:'pointsReason',width:150,align:'center',halign:'center'">调账原因</th>
						<th data-options="field:'invalidDate',width:150,align:'center',halign:'center',
                                 formatter : function(value, row, index) {
										     if(value == null){
		                                          return '永久有效';
					                         }else{
						                          return getDateString(value);
					                          }
	                              }">过期时间</th>
					</tr>
				</thead>
			</table>
		</div>
		<script type="text/javascript">
			/* function isNullDate(value,row,index){
				if(value == null){
					return "永久有效";
				}else{
					return getDateString(value);
				}
			} */
			$(function() {
				require(['view/points/pointsReviseRecode'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>